Subject: Re: bug#30399: 27.0.50; tooltips are broken

From: martin rudalics <[email-masked]>
Date: Mon, 12 Feb 2018 10:26:40 +0100

>> That when the behavior of 'x-show-tip' changes,
 >> applications will have to adapt.
 >
 > That's even more vague - not a clarification at all.
 > What is the behavior change?  What kind of adaptation
 > are you hinting at?

That if for some reason the behavior of that function must be changed,
its callers may have to change too.

 >> Currently there are no plans to replace 'x-show-tip' AFAICT.
 >
 > Let's not quibble over the word "replace", please.
 >
 > You imply that "the behavior of 'x-show-tip'" will
 > change.  That's what I'm asking about, in talking
 > about "replacement".

'x-show-tip' had a bug that has been hopefully fixed.  I did not imply
anything else.

 > You also said that we should not use 'x-show-tip'
 > but should use only `tooltip-show', which is much
 > more limited - not a substitute for 'x-show-tip'
 > at all.

I'm using 'x-show-tip' in my private code, so why should I say such a
thing.

 > The question is, if `x-tool-tip' is not expected
 > to be replaced, but it is expected to change, just
 > _how_ is it expected to change?
 >
 > Will we be able to do with the "new" `x-show-tip',
 > what we can do with it now, even if we must "adapt"
 > in some way to be able to do that?

Hopefully so.

 > You are being quite vague, it seems.  You make a
 > pronouncement that we should not use the function,
 > but also that it will change - somehow.

I did neither the former nor the latter.

 > The real question is not the words to name the
 > impending change or replacement that you warn us
 > about.
 >
 > The question is how, after the change/replacement,
 > to get done everything we can do now with that
 > function.

Let's see to that when we're there.

martin